Loading...
Searching...
No Matches
Halide::Internal::IRMatcher::Overflow Struct Reference

`#include <IRMatch.h>`

## Classes

struct | pattern_tag

## Public Member Functions

template<uint32_t bound>
HALIDE_ALWAYS_INLINE bool | match (const BaseExprNode &e, MatcherState &state) const noexcept
HALIDE_ALWAYS_INLINE Expr | make (MatcherState &state, halide_type_t type_hint) const
HALIDE_ALWAYS_INLINE void | make_folded_const (halide_scalar_value_t &val, halide_type_t &ty, MatcherState &state) const noexcept

## Static Public Attributes

static constexpr uint32_t | binds = 0
static constexpr IRNodeType | min_node_type = IRNodeType::Call
static constexpr IRNodeType | max_node_type = IRNodeType::Call
static constexpr bool | canonical = true
static constexpr bool | foldable = true

## Detailed Description

Definition at line 2282 of file IRMatch.h.

## Member Function Documentation

## match()

template<uint32_t bound>

HALIDE_ALWAYS_INLINE bool Halide::Internal::IRMatcher::Overflow::match | ( | const BaseExprNode & | e,
|  | MatcherState & | state ) const

inline noexcept

Definition at line 2293 of file IRMatch.h.

References Halide::Internal::Call::_node_type, HALIDE_ALWAYS_INLINE, Halide::Internal::Call::is_intrinsic(), and Halide::Internal::Call::signed_integer_overflow.

## make()

HALIDE_ALWAYS_INLINE Expr Halide::Internal::IRMatcher::Overflow::make | ( | MatcherState & | state,
|  | halide_type_t | type_hint ) const

inline

Definition at line 2302 of file IRMatch.h.

References halide_type_t::lanes, Halide::Internal::IRMatcher::make_const_special_expr(), and Halide::Internal::IRMatcher::MatcherState::signed_integer_overflow.

## make_folded_const()

HALIDE_ALWAYS_INLINE void Halide::Internal::IRMatcher::Overflow::make_folded_const | ( | halide_scalar_value_t & | val,
|  | halide_type_t & | ty,
|  | MatcherState & | state ) const

inline noexcept

Definition at line 2310 of file IRMatch.h.

References Halide::Internal::IRMatcher::MatcherState::signed_integer_overflow.

## Member Data Documentation

## binds

uint32_t Halide::Internal::IRMatcher::Overflow::binds = 0

static constexpr

Definition at line 2285 of file IRMatch.h.

## min_node_type

IRNodeType Halide::Internal::IRMatcher::Overflow::min_node_type = IRNodeType::Call

static constexpr

Definition at line 2288 of file IRMatch.h.

## max_node_type

IRNodeType Halide::Internal::IRMatcher::Overflow::max_node_type = IRNodeType::Call

static constexpr

Definition at line 2289 of file IRMatch.h.

## canonical

bool Halide::Internal::IRMatcher::Overflow::canonical = true

static constexpr

Definition at line 2290 of file IRMatch.h.

## foldable

bool Halide::Internal::IRMatcher::Overflow::foldable = true

static constexpr

Definition at line 2307 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h